Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234823 - SDL can't be rebuilded if yasm installed
Summary: SDL can't be rebuilded if yasm installed
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: SDL
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-02 13:11 UTC by Mykola Ulianytskyi
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-27 16:44:19 UTC


Attachments (Terms of Use)
SDL-1.2.11-disable_yasm.patch (deleted)
2007-04-02 13:11 UTC, Mykola Ulianytskyi
no flags Details

Description Mykola Ulianytskyi 2007-04-02 13:11:20 UTC
Description of problem:
   SDL can't be rebuilded if yasm installed

Version-Release number of selected component (if applicable):
   1.2.11-1
   1.2.11-2 (fc6-devel)

How reproducible:
   
Steps to Reproduce:
   1) install yasm
   2) rpmbuild -ba SDL.spec
  
Solution:
   Variant 1: apply patch SDL-1.2.11-disable_yasm.patch
   Variant 2: BuildConflicts: yasm

Comment 1 Mykola Ulianytskyi 2007-04-02 13:11:20 UTC
Created attachment 151422 [details]
SDL-1.2.11-disable_yasm.patch

Comment 2 Mykola Ulianytskyi 2007-04-02 13:15:35 UTC
Additional info:
...
./build-scripts/strip_fPIC.sh /usr/bin/yasm -f elf -i ./src/hermes/
-DHIDDEN_VISIBILITY ./src/hermes/mmx_main.asm  -fPIC -DPIC -o build/.libs/mmx_main.o
/usr/bin/yasm -f elf -i ./src/hermes/ -DHIDDEN_VISIBILITY
./src/hermes/mmx_main.asm -o build/.libs/mmx_main.o
./src/hermes/mmx_main.asm:75: invalid argument to [SECTION]
./src/hermes/mmx_main.asm:75: undefined symbol `.note.GNU' (first use)
./src/hermes/mmx_main.asm:75: undefined symbol `stack' (first use)
./src/hermes/mmx_main.asm:75:  (Each undefined symbol is reported only once.)


make: *** [build/mmx_main.lo] Error 1
...


$ rpm -q yasm
yasm-0.5.0-2

Comment 3 Thomas Woerner 2007-08-27 16:44:19 UTC
Fixed in package SDL-1.2.12-1 or newer.


Note You need to log in before you can comment on or make changes to this bug.